//
// main for fitline
// August 25, 2014
//
#include "fitline.h"
extern int optind;

int main(int argc, char** argv)
{
  dvec x;
  dvec y;
  dvec s;
  result r;
  opts o;
  ifstream ifs;
  get_opts(argc, argv, o);

  if (argc == optind + 1) {
    gopen(ifs, argv[optind]);                              // open datafile
  }
  else {
    prn_usage(argv);
    exit(EXIT_FAILURE);
  }
  r.datafile = argv[optind];      // put datafile name in results structure
  get_data(ifs,x,y,s,o,r);
  ifs.close();
  calculate(x,y,s,o,r);
  prn_results(r, o);
}
